#include <stdio.h>
#include <stdlib.h>

long long int v;
int uk=0,x;

void br_nov(long long int k)
{
    if(k)
    {
        x=k%10;
        uk+=x/5;
        x=x%5;
        uk+=x/2;
        x=x%2;
        uk+=x;
        br_nov(k/10);
    }
}

int main()
{
    scanf("%lld",&v);
    br_nov(v);
    printf("%d",uk);
    return 0;
}